org.apache.pdfbox.pdmodel.graphics.color

## Class PDDeviceNProcess

- java.lang.Object
- - org.apache.pdfbox.pdmodel.graphics.color.PDDeviceNProcess

    public class PDDeviceNProcess
    extends Object

A DeviceN Process Dictionary

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`PDDeviceNProcess()` Creates a new DeviceN Process Dictionary.
`PDDeviceNProcess(COSDictionary attributes)` Creates a new DeviceN Process Dictionary from the given attributes.

### Method Summary

All Methods Instance Methods Concrete Methods
`PDColorSpace` `getColorSpace()` Returns the process color space
`List<String>` `getComponents()` Returns the names of the color components.
`COSDictionary` `getCOSDictionary()` Returns the underlying COS dictionary.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PDDeviceNProcess

    public PDDeviceNProcess()

Creates a new DeviceN Process Dictionary.

#### PDDeviceNProcess

    public PDDeviceNProcess(COSDictionary attributes)

Creates a new DeviceN Process Dictionary from the given attributes.

Parameters:
  `attributes` - a DeviceN attributes dictionary

### Method Detail

#### getCOSDictionary

    public COSDictionary getCOSDictionary()

Returns the underlying COS dictionary.

Returns:
  the underlying COS dictionary.

#### getColorSpace

    public PDColorSpace getColorSpace()
                               throws IOException

Returns the process color space

Returns:
  the process color space
Throws:
  `IOException` - if the color space cannot be read

#### getComponents

    public List<String> getComponents()

Returns the names of the color components.

Returns:
  the names of the color components

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`